Debian Bug report logs - #678848
liblapack3: octave has upgrade problems: liblapack.so.3gf: cannot open shared object file: No such file or directory

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Sun, 24 Jun 2012 17:45:02 UTC

Severity: important

Merged with 671711, 701047

Found in version dpkg/1.14.17

Blocking fix for 680626: Squeeze->Wheezy: dist-upgrade fails, /usr/bin/python unable to load libssl.so.1.0.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#678848; Package liblapack3. (Sun, 24 Jun 2012 17:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 24 Jun 2012 17:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liblapack3: octave has upgrade problems: liblapack.so.3gf: cannot open shared object file: No such file or directory
Date: Sun, 24 Jun 2012 19:42:41 +0200
[Message part 1 (text/plain, inline)]
Package: liblapack3
Version: 3.4.1-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts


Hi,

while doing piuparts tests distupgrading from squeeze to sid I noticed a
cooperation problem between octave and liblapack3:

[...]
  Preparing to replace liblapack3gf 3.3.1-1 (using .../liblapack3gf_3.4.1-3_amd64.deb) ...
  Unpacking replacement liblapack3gf ...
  Preparing to replace libblas3gf 1.2.20110419-2 (using .../libblas3gf_1.2.20110419-3_amd64.deb) ...
  Unpacking replacement libblas3gf ...
  Selecting previously unselected package libblas3.
  Unpacking libblas3 (from .../libblas3_1.2.20110419-3_amd64.deb) ...
  update-alternatives: warning: alternative /usr/lib/libblas/libblas.so.3gf (part of link group libblas.so.3gf) doesn't exist. Removing from list of alternatives.
  update-alternatives: warning: /etc/alternatives/libblas.so.3gf is dangling, it will be updated with best choice.
  Selecting previously unselected package liblapack3.
  Unpacking liblapack3 (from .../liblapack3_3.4.1-3_amd64.deb) ...
  update-alternatives: warning: alternative /usr/lib/lapack/liblapack.so.3gf (part of link group liblapack.so.3gf) doesn't exist. Removing from list of alternatives.
  update-alternatives: warning: /etc/alternatives/liblapack.so.3gf is dangling, it will be updated with best choice.
  Preparing to replace octave-io 1.0.18-2 (using .../octave-io_1.0.19-1_amd64.deb) ...
  Unpacking replacement octave-io ...
  Processing triggers for octave ...
  octave: error while loading shared libraries: liblapack.so.3gf: cannot open shared object file: No such file or directory
  dpkg: error processing octave (--unpack):
   subprocess installed post-installation script returned error exit status 127
  Errors were encountered while processing:
   octave

The full piuparts log is attached.


Cheers,

Andreas
[octave-io_1.0.19-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#678848; Package liblapack3. (Sun, 24 Jun 2012 17:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 24 Jun 2012 17:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 678848@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 678848@bugs.debian.org
Subject: Re: liblapack3: octave has upgrade problems: liblapack.so.3gf: cannot open shared object file: No such file or directory
Date: Sun, 24 Jun 2012 19:48:18 +0200
On 2012-06-24 19:42, Andreas Beckmann wrote:
> while doing piuparts tests distupgrading from squeeze to sid I noticed a
That was a test on distupgrading "testing" to "sid", not squeeze. Sorry.

Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#678848; Package liblapack3. (Mon, 25 Jun 2012 09:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 25 Jun 2012 09:33:31 GMT) Full text and rfc822 format available.

Message #15 received at 678848@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 678848@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#678848: liblapack3: octave has upgrade problems: liblapack.so.3gf: cannot open shared object file: No such file or directory
Date: Mon, 25 Jun 2012 11:28:42 +0200
[Message part 1 (text/plain, inline)]
reassign 678848 dpkg
merge 671711 678848
affects 678848 liblapack3 libblas3 octave
thanks

Andreas Beckmann <debian@abeckmann.de> writes:

> Package: liblapack3
> Version: 3.4.1-3
> Severity: serious

> while doing piuparts tests distupgrading from squeeze to sid I noticed a
> cooperation problem between octave and liblapack3:
>
> [...]
>   Preparing to replace liblapack3gf 3.3.1-1 (using .../liblapack3gf_3.4.1-3_amd64.deb) ...
>   Unpacking replacement liblapack3gf ...
>   Preparing to replace libblas3gf 1.2.20110419-2 (using .../libblas3gf_1.2.20110419-3_amd64.deb) ...
>   Unpacking replacement libblas3gf ...
>   Selecting previously unselected package libblas3.
>   Unpacking libblas3 (from .../libblas3_1.2.20110419-3_amd64.deb) ...
>   update-alternatives: warning: alternative /usr/lib/libblas/libblas.so.3gf (part of link group libblas.so.3gf) doesn't exist. Removing from list of alternatives.
>   update-alternatives: warning: /etc/alternatives/libblas.so.3gf is dangling, it will be updated with best choice.
>   Selecting previously unselected package liblapack3.
>   Unpacking liblapack3 (from .../liblapack3_3.4.1-3_amd64.deb) ...
>   update-alternatives: warning: alternative /usr/lib/lapack/liblapack.so.3gf (part of link group liblapack.so.3gf) doesn't exist. Removing from list of alternatives.
>   update-alternatives: warning: /etc/alternatives/liblapack.so.3gf is dangling, it will be updated with best choice.
>   Preparing to replace octave-io 1.0.18-2 (using .../octave-io_1.0.19-1_amd64.deb) ...
>   Unpacking replacement octave-io ...
>   Processing triggers for octave ...
>   octave: error while loading shared libraries: liblapack.so.3gf: cannot open shared object file: No such file or directory
>   dpkg: error processing octave (--unpack):
>    subprocess installed post-installation script returned error exit status 127
>   Errors were encountered while processing:
>    octave

The problem is that the octave trigger is run before liblapack3 (a
dependency of octave) is configured.

This is a dpkg bug, I’m therefore reassigning and merging accordingly.

Hopefully the impact of this bug seems limited (at least in the octave
case), because dpkg retries the trigger a second time after having
configured liblapack3 (and that second time is successful).

Thanks,

-- 
Sébastien Villemot
Researcher in Economics & Debian Maintainer
http://www.dynare.org/sebastien
Phone: +33-1-40-77-84-04 - GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'liblapack3' to 'dpkg'. Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 25 Jun 2012 09:33:54 GMT) Full text and rfc822 format available.

No longer marked as found in versions lapack/3.4.1-3. Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 25 Jun 2012 09:33:55 GMT) Full text and rfc822 format available.

Added indication that 678848 affects liblapack3, libblas3, and octave Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 25 Jun 2012 09:33:55 GMT) Full text and rfc822 format available.

Removed indication that 678848 affects octave, liblapack3, and libblas3 Added indication that 678848 affects monodoc-clutter-manual,src:monodoc-browser Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 25 Jun 2012 09:39:27 GMT) Full text and rfc822 format available.

Marked as found in versions monodoc-clutter-manual/1.0.0~alpha3~git20090817.r1.349dba6-8 and mono-tools/2.10-3. Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 25 Jun 2012 09:39:28 GMT) Full text and rfc822 format available.

Merged 671711 678848 Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 25 Jun 2012 09:39:29 GMT) Full text and rfc822 format available.

Added indication that 678848 affects liblapack3, libblas3, and octave Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Mon, 25 Jun 2012 09:39:30 GMT) Full text and rfc822 format available.

Added indication that 678848 affects octave-vrml Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 30 Jun 2012 21:36:16 GMT) Full text and rfc822 format available.

Marked as found in versions octave-vrml/1.0.13-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 30 Jun 2012 21:36:18 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:51:08 GMT) Full text and rfc822 format available.

Added indication that 678848 affects mono-tools Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:51:09 GMT) Full text and rfc822 format available.

Marked as found in versions dpkg/1.14.17. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:51:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions monodoc-clutter-manual/1.0.0~alpha3~git20090817.r1.349dba6-8. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:51:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions mono-tools/2.10-3. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:51:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions octave-vrml/1.0.13-1. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:51:12 GMT) Full text and rfc822 format available.

Added indication that 678848 affects src:octave Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 13 Aug 2012 15:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#678848; Package dpkg. (Mon, 13 Aug 2012 17:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 13 Aug 2012 17:57:05 GMT) Full text and rfc822 format available.

Message #52 received at 678848@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 678848@bugs.debian.org, control@bugs.debian.org
Subject: libarpack2: please add Breaks: octave3.2
Date: Mon, 13 Aug 2012 19:52:51 +0200
clone 678848 -1
reassign -1 libarpack2 3.1.1-2
retitle -1 libarpack2: please add Breaks: octave3.2
thanks

After digging a bit more into this octave upgrade problem, I found a
workaround: libarpack2 needs to add
  Breaks: octave3.2

There is already a similar conflict in libblas3 (#677399).

Having the Breaks reorders the upgrade order so that octave3.2 is
removed in a few more cases (tested so far with octave-benchmark,
octave-vrml) before the libblas/liblapack links get "broken" and
octave3.2 cannot be triggered successfully any longer.

At the time when the trigger failed, octave3.2 was linked against both
libblas.so.3gf (directly) and against libblas.so.3 (via libarpack.so.2),
so libarpack2 seems to be the next promising candidate to add such a
conflict.

There should probably be a better way to properly describe this
conflict, but due to dpkg bug #678848 dpkg may do trigger-processing of
a package that has its dependencies currently not satisfied.

Anyway, the "workaround" I suggested here should circumvent these problems.


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#678848; Package dpkg. (Mon, 13 Aug 2012 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 13 Aug 2012 18:18:03 GMT) Full text and rfc822 format available.

Message #57 received at 678848@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 678848@bugs.debian.org, control@bugs.debian.org
Subject: Re: libarpack2: please add Breaks: octave3.2
Date: Mon, 13 Aug 2012 20:16:00 +0200
unmerge 678848
clone 678848 -1
retitle 671711 dpkg: runs trigger processing even if depedencies are not satisfied
merge 671711 678848
reassign -1 libarpack2 3.1.1-2
retitle -1 libarpack2: please add Breaks: octave3.2
thanks



Disconnected #678848 from all other report(s). Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 13 Aug 2012 18:18:05 GMT) Full text and rfc822 format available.

Bug 678848 cloned as bug 684773 Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 13 Aug 2012 18:18:06 GMT) Full text and rfc822 format available.

Removed indication that 678848 affects octave-vrml, mono-tools, monodoc-clutter-manual, octave, src:monodoc-browser, src:octave, liblapack3, and libblas3 Added indication that 678848 affects monodoc-clutter-manual,octave,octave-vrml,mono-tools,src:monodoc-browser,liblapack3,src:octave,libblas3 Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 13 Aug 2012 18:33:07 GMT) Full text and rfc822 format available.

Merged 671711 678848 Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 13 Aug 2012 18:33:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:31:33 GMT) Full text and rfc822 format available.

Merged 671711 678848 701047 Request was from Sébastien Villemot <sebastien@debian.org> to 701047-submit@bugs.debian.org. (Wed, 20 Feb 2013 21:57:09 GMT) Full text and rfc822 format available.

Added indication that bug 678848 blocks 680626 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 28 Apr 2013 12:15:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 678848: 707129 Request was from Guillem Jover <guillem@debian.org> to submit@bugs.debian.org. (Tue, 07 May 2013 17:45:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 678848: 707133 Request was from Guillem Jover <guillem@debian.org> to submit@bugs.debian.org. (Tue, 07 May 2013 17:51:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:30:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.